import { HTMLAttributes, ReactNode, FC } from 'react';

interface ReactiveNavProps extends HTMLAttributes<HTMLDivElement> {
    children?: ReactNode;
    /**
     * Height of the navbar.
     */
    height: number;
    /**
     * Props passed to the padding element (blank div with a set height).
     */
    paddingElementProps?: HTMLAttributes<HTMLDivElement>;
}
declare const ReactiveNav: FC<ReactiveNavProps>;

export { ReactiveNav, ReactiveNavProps };
